Page MenuHome

Some material node groups in 2.80, from 2.7x files, crash in 2.80
Closed, ResolvedPublic

Description

System Information
Operating system: Kubuntu 18.04.1
Graphics card: RX 480 8gb

Blender Version
Broken: 2.80-e79bb957fc3

Worked: Ungroup, or copy the nodes inside the group and paste them outside of the group. Then group them again and set the ranges, names, types of inputs and outputs of the group node, also replace the other users of the problematic group used in all materials. This workaround is pretty tedious, works in 2.79b

Short description of error

Some material node groups in 2.80 from 2.7x files crashes in 2.80 but not in 2.79b

Exact steps for others to reproduce the error

To test if the appended node group is broken, translate and undo repeatedly, after the 3rd time it should crash 2.80, or also try changing the links or deleting nodes, or if you import the material that contains the broken node group it should crash when you select it in the material slot selector.
The appended blend file contains node groups that break in 2.8 but not in 2.79b or 2.78c

PS: I'm sorry I don't have an exact way of reproducing this error.

Details

Type
Bug

Event Timeline

Confirmed on windows 879877295d0. It happened the first couple of times I opened the file, but then it stopped happening until I ran blender with --debug. It seems to consistently happen with --debug enabled.. When it does crash, it crashes when undoing a group node move operation.

After the following operation

bpy.ops.node.translate_attach(TRANSFORM_OT_translate={"value":(317.672, 405.974, 0), "constraint_axis":(False, False, False), "constraint_matrix":(1, 0, 0, 0, 1, 0, 0, 0, 1), "constraint_orientation":'GLOBAL', "mirror":False, "proportional":'DISABLED', "proportional_edit_falloff":'SMOOTH', "proportional_size":1, "snap":False, "snap_target":'CLOSEST', "snap_point":(0, 0, 0), "snap_align":False, "snap_normal":(0, 0, 0), "gpencil_strokes":False, "cursor_transform":False, "texture_space":False, "remove_on_cancel":False, "release_confirm":True, "use_accurate":False}, NODE_OT_attach={}, NODE_OT_insert_offset={})

and then using ctrl-z to undo it, blender crashes. Here's the console output:

c:\blender-git-2.80\build_windows__x64_vc15_Release\bin\Release>blender.exe --debug
Switching to fully guarded memory allocator.
Blender 2.80 (sub 35)
Build: Sun 12/09/2018 01:10 PM Windows
argv[0] = blender.exe
argv[1] = --debug
read file C:\Users\moogl_000\AppData\Roaming\Blender Foundation\Blender\2.80\config\userpref.blend
  Version 280 sub 35 date 2018-12-09 18:24 hash 879877295d0
Read prefs: C:\Users\moogl_000\AppData\Roaming\Blender Foundation\Blender\2.80\config\userpref.blend
read file C:\Users\moogl_000\AppData\Roaming\Blender Foundation\Blender\2.80\config\startup.blend
  Version 280 sub 34 date 2018-11-28 00:27 hash 4c6e7ef11f3
AL lib: (EE) UpdateDeviceParams: Failed to set 48000hz, got 44100hz instead
found bundled python: c:\blender-git-2.80\build_windows__x64_vc15_Release\bin\Release\2.80\python
Read blend: C:\Users\moogl_000\Downloads\material test.blend
read file C:\Users\moogl_000\Downloads\material test.blend
  Version 280 sub 35 date 2018-12-08 17:06 hash e79bb957fc3
Memoryblock idp_generic_copy: double free
Philipp Oeser (lichtwerk) closed this task as Resolved.Dec 14 2018, 5:11 PM
Philipp Oeser (lichtwerk) claimed this task.

Should be fixed by rB1e18efa1df1a.

Closing (but feel free to comment again if issues persist -- tomorrows build should have the fix)